Cantera 2.6.0

Public Types | Public Member Functions | Private Attributes | List of all members
Application::ThreadMessages Class Reference

Class that stores thread messages for each thread, and retrieves them based on the thread id. More...

`#include <application.h>`

## Public Types
typedef std::map< std::thread::id, pMessages_t > | threadMsgMap_t
| Typedef for map between a thread and the message. More...

## Public Member Functions
| ThreadMessages ()
| Constructor. More...
Messages * | operator-> ()
| Provide a pointer dereferencing overloaded operator. More...
void | removeThreadMessages ()
| Remove a local thread message. More...

## Private Attributes
threadMsgMap_t | m_threadMsgMap
| Thread Msg Map. More...

## Detailed Description

Class that stores thread messages for each thread, and retrieves them based on the thread id.

Definition at line 172 of file application.h.

## Member Typedef Documentation

## ◆ threadMsgMap_t

typedef std::map<std::thread::id, pMessages_t> threadMsgMap_t

Typedef for map between a thread and the message.

Definition at line 188 of file application.h.

## Constructor & Destructor Documentation

## ◆ ThreadMessages()

ThreadMessages | ( |  | ) |
| inline

Constructor.

Definition at line 176 of file application.h.

## Member Function Documentation

## ◆ operator->()

Application::Messages * operator-> | ( |  | ) |

Provide a pointer dereferencing overloaded operator.

Returns
  a pointer to Messages

Definition at line 108 of file application.cpp.

References Cantera::msg_mutex.

## ◆ removeThreadMessages()

void removeThreadMessages | ( |  | ) |

Remove a local thread message.

Definition at line 121 of file application.cpp.

References Cantera::msg_mutex.

Referenced by Application::thread_complete().

## Member Data Documentation

## ◆ m_threadMsgMap

threadMsgMap_t m_threadMsgMap
| private

Thread Msg Map.

Definition at line 192 of file application.h.

The documentation for this class was generated from the following files:

- application.h
- application.cpp